Subject: bug#61720: BUG: omission of crucial detail in 'chown --reference' man page (vs info)

From: Michael Coleman <[email-masked]>
Date: Wed, 22 Feb 2023 22:07:27 +0000

Hi,

The (RHEL 7) man page for GNU 'chown' has (only) this for the '--reference' flag:

    use RFILE's owner and group rather than specifying OWNER:GROUP values

which omits the crucial second sentence, included in the info tree:

     Change the user and group of each FILE to be the same as those of
     REF_FILE.  If REF_FILE is a symbolic link, do not use the user and
     group of the symbolic link, but rather those of the file it refers
     to.

(Note that '--no-deference' doesn't affect this behavior.)

I can't be sure, but I think the GNU build itself is generating this man page, as opposed to it having been created by RHEL.

I understand that the man pages are secondary and brief, but they shouldn't be actively misleading, IMO.

Thanks,
Mike

Michael Coleman
Computational Scientist
Research Advanced Computing Services (HPC)
University of Oregon